Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.util
Class CIBMBeansFactory

    java.lang.Object
      com.sun.mfwk.cib.sdk.util.CIBMBeansFactory

public class CIBMBeansFactory
extends java.lang.Object

The CIB Mbeans Factory is a utility class offering CIB Objects creation methods used by JESMF module developers who need to create CIB Objects.

Constructor Summary
`CIBMBeansFactory(com.sun.cacao.Module m)` Constructor

Method Summary
`CIBProduct` | `createCIBProduct(java.lang.String productName, java.lang.String theProductVersion, java.lang.String thePatchId, long theInstallTime, java.lang.String theVendorName)` Creates a CIB product.
`void` | `createCIBProviderHandler(javax.management.MBeanServerConnection conn)` Create the CIBProviderHandler This implementation uses the default CIBProviderHandler but if the module has its own providerHandler then you should override this method.
`void` | `createCIBProviderHandler(MfDiscoveryInfo config)` Create the CIBProviderHandler This implementation uses the default CIBProviderHandler but if the module has its own providerHandler then you should override this method.
`CIBApplication` | `newCIBApplication(java.lang.String appliName, boolean isStatisticProvider, boolean isStateProvider, boolean isEventProvider)` Creates a CIB application.
`CIBExternalResource` | `newCIBApplicationExternalResource(java.lang.String extresourceName, CIBApplication appli, boolean isStatisticProvider, boolean isStateProvider, boolean isEventProvider)` Creates a CIB external resource related to a CIB application
`CIBResource` | `newCIBApplicationResource(java.lang.String resourceName, CIBApplication appli, boolean isStatisticProvider, boolean isStateProvider, boolean isEventProvider)` Creates a CIB resource related to a CIB application
`CIBService` | `newCIBApplicationService(java.lang.String serviceName, CIBApplication appli, boolean isStatisticProvider, boolean isStateProvider, boolean isEventProvider)` Creates a CIB service related to a CIB application
`CIBExternalResource` | `newCIBServiceExternalResource(java.lang.String extResourceName, CIBApplication appli, CIBService service, boolean isStatisticProvider, boolean isStateProvider, boolean isEventProvider)` Creates a CIB externalResource related to a CIB service.
`CIBResource` | `newCIBServiceResource(java.lang.String resourceName, CIBApplication appli, CIBService service, boolean isStatisticProvider, boolean isStateProvider, boolean isEventProvider)` Creates a CIB resource related to a CIB service.
`void` | `removeCIBApplication(java.lang.String appliName)` Removes a CIB application and all the CIB Mbeans relative to this application.
`void` | `removeCIBApplicationExternalResource(java.lang.String extResourceName, java.lang.String appliName)` Removes a CIB external resource related to a CIB application
`void` | `removeCIBApplicationResource(java.lang.String resourceName, java.lang.String appliName)` Removes a CIB resource related to a CIB application
`void` | `removeCIBApplicationService(java.lang.String serviceName, java.lang.String appliName)` Removes a CIB service related to a CIB application and all the CIB Mbeans relative to this service.
`void` | `removeCIBProduct(java.lang.String productName)` Removes a CIB product and all the CIB Mbeans relative to this product.
`void` | `removeCIBServiceExternalResource(java.lang.String extResourceName, java.lang.String serviceName, java.lang.String appliName)` Removes a CIB external resource related to a CIB service
`void` | `removeCIBServiceResource(java.lang.String resourceName, java.lang.String serviceName, java.lang.String appliName)` Removes a CIB resource related to a CIB service

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CIBMBeansFactory

    public CIBMBeansFactory(com.sun.cacao.Module m)

  Constructor

Parameters:
  `m` - Module : the Module

Method Detail

### createCIBProviderHandler

    public void createCIBProviderHandler(MfDiscoveryInfo config)
                                  throws CIBIOException

  Create the CIBProviderHandler This implementation uses the default CIBProviderHandler but if the module has its own providerHandler then you should override this method.

  Parameters:
    `config` - MfDiscoveryInfo the discovery message
  Throws:
    `CIBIOException`

### createCIBProviderHandler

    public void createCIBProviderHandler(javax.management.MBeanServerConnection conn)

  Create the CIBProviderHandler This implementation uses the default CIBProviderHandler but if the module has its own providerHandler then you should override this method.

  Parameters:
    `conn` - MBeanServerConnection : the MBeanServerConnection

### createCIBProduct

    public CIBProduct createCIBProduct(java.lang.String productName,
                                       java.lang.String theProductVersion,
                                       java.lang.String thePatchId,
                                       long theInstallTime,
                                       java.lang.String theVendorName)
                                throws javax.management.MBeanRegistrationException

  Creates a CIB product.

  Parameters:
    `productName` - String : the CIB product name String
    `theProductVersion` - String : the CIB product version String
    `thePatchId` - String : the CIB product patchId String
    `theInstallTime` - long : the CIB product install time
    `theVendorName` - String : the CIB product vendor name String
  Returns:
    the newly created CIBProduct.
  Throws:
    `javax.management.MBeanRegistrationException`

### newCIBApplication

    public CIBApplication newCIBApplication(java.lang.String appliName,
                                            boolean isStatisticProvider,
                                            boolean isStateProvider,
                                            boolean isEventProvider)
                                     throws javax.management.MBeanRegistrationException

  Creates a CIB application.

  Parameters:
    `appliName` - : the CIB application name String
    `isStatisticProvider` - : boolean to indicate that this application exposes Statistics.
    `isStateProvider` - : boolean to indicate that this application exposes States.
    `isEventProvider` - : boolean to indicate that this application is sending events.
  Returns:
    the newly created CIBApplication.
  Throws:
    `javax.management.MBeanRegistrationException`

### newCIBApplicationService

    public CIBService newCIBApplicationService(java.lang.String serviceName,
                                               CIBApplication appli,
                                               boolean isStatisticProvider,
                                               boolean isStateProvider,
                                               boolean isEventProvider)
                                        throws javax.management.MBeanRegistrationException

  Creates a CIB service related to a CIB application

  Parameters:
    `serviceName` - : the CIB service name String
    `appli` - : the CIB application
    `isStatisticProvider` - : boolean to indicate that this service exposes Statistics.
    `isStateProvider` - : boolean to indicate that this service exposes States.
    `isEventProvider` - : boolean to indicate that this service is sending events.
  Returns:
    the newly created CIBService.
  Throws:
    `javax.management.MBeanRegistrationException`

### newCIBApplicationExternalResource

    public CIBExternalResource newCIBApplicationExternalResource(java.lang.String extresourceName,
                                                                 CIBApplication appli,
                                                                 boolean isStatisticProvider,
                                                                 boolean isStateProvider,
                                                                 boolean isEventProvider)
                                                          throws javax.management.MBeanRegistrationException

  Creates a CIB external resource related to a CIB application

  Parameters:
    `extresourceName` - : the CIB external resource name String
    `appli` - : the CIB application
    `isStatisticProvider` - : boolean to indicate that this external resource exposes Statistics.
    `isStateProvider` - : boolean to indicate that this external resource exposes States.
    `isEventProvider` - : boolean to indicate that this external resource is sending events.
  Returns:
    the newly created CIBExternalResource.
  Throws:
    `javax.management.MBeanRegistrationException`

### newCIBApplicationResource

    public CIBResource newCIBApplicationResource(java.lang.String resourceName,
                                                 CIBApplication appli,
                                                 boolean isStatisticProvider,
                                                 boolean isStateProvider,
                                                 boolean isEventProvider)
                                          throws javax.management.MBeanRegistrationException

  Creates a CIB resource related to a CIB application

  Parameters:
    `resourceName` - : the CIB resource name String
    `appli` - : the CIB application
    `isStatisticProvider` - : boolean to indicate that this resource exposes Statistics.
    `isStateProvider` - : boolean to indicate that this resource exposes States.
    `isEventProvider` - : boolean to indicate that this resource is sending events.
  Returns:
    the newly created CIBResource.
  Throws:
    `javax.management.MBeanRegistrationException`

### newCIBServiceResource

    public CIBResource newCIBServiceResource(java.lang.String resourceName,
                                             CIBApplication appli,
                                             CIBService service,
                                             boolean isStatisticProvider,
                                             boolean isStateProvider,
                                             boolean isEventProvider)
                                      throws javax.management.MBeanRegistrationException

  Creates a CIB resource related to a CIB service.

  Parameters:
    `resourceName` - : the CIB resource name String
    `service` - : the CIB service
    `appli` - : the CIB application
    `isStatisticProvider` - : boolean to indicate that this resource exposes Statistics.
    `isStateProvider` - : boolean to indicate that this resource exposes States.
    `isEventProvider` - : boolean to indicate that this resource is sending events.
  Returns:
    the newly created CIBResource.
  Throws:
    `javax.management.MBeanRegistrationException`

### newCIBServiceExternalResource

    public CIBExternalResource newCIBServiceExternalResource(java.lang.String extResourceName,
                                                             CIBApplication appli,
                                                             CIBService service,
                                                             boolean isStatisticProvider,
                                                             boolean isStateProvider,
                                                             boolean isEventProvider)
                                                      throws javax.management.MBeanRegistrationException

  Creates a CIB externalResource related to a CIB service.

  Parameters:
    `extResourceName` - : the CIB external resource name String
    `service` - : the CIB service
    `appli` - : the CIB application
    `isStatisticProvider` - : boolean to indicate that this externalResource exposes Statistics.
    `isStateProvider` - : boolean to indicate that this externalResource exposes States.
    `isEventProvider` - : boolean to indicate that this externalResource is sending events.
  Returns:
    the newly created CIBExternalResource.
  Throws:
    `javax.management.MBeanRegistrationException`

### removeCIBProduct

    public void removeCIBProduct(java.lang.String productName)
                          throws javax.management.MBeanRegistrationException

  Removes a CIB product and all the CIB Mbeans relative to this product.

  Parameters:
    `productName` -
  Throws:
    `javax.management.MBeanRegistrationException`

### removeCIBApplication

    public void removeCIBApplication(java.lang.String appliName)
                              throws javax.management.MBeanRegistrationException

  Removes a CIB application and all the CIB Mbeans relative to this application.

  Parameters:
    `appliName` - : the CIB application name String
  Throws:
    `javax.management.MBeanRegistrationException`

### removeCIBApplicationService

    public void removeCIBApplicationService(java.lang.String serviceName,
                                            java.lang.String appliName)
                                     throws javax.management.MBeanRegistrationException

  Removes a CIB service related to a CIB application and all the CIB Mbeans relative to this service.

  Parameters:
    `serviceName` - String : the CIB service name String
    `appliName` - String : the CIB application name String
  Throws:
    `javax.management.MBeanRegistrationException`

### removeCIBApplicationResource

    public void removeCIBApplicationResource(java.lang.String resourceName,
                                             java.lang.String appliName)
                                      throws javax.management.MBeanRegistrationException

  Removes a CIB resource related to a CIB application

  Parameters:
    `resourceName` - String : the CIB resource name String
    `appliName` - String : the CIB application name String
  Throws:
    `javax.management.MBeanRegistrationException`

### removeCIBApplicationExternalResource

    public void removeCIBApplicationExternalResource(java.lang.String extResourceName,
                                                     java.lang.String appliName)
                                              throws javax.management.MBeanRegistrationException

  Removes a CIB external resource related to a CIB application

  Parameters:
    `extResourceName` - String : the CIB external resource name String
    `appliName` - String : the CIB application name String
  Throws:
    `javax.management.MBeanRegistrationException`

### removeCIBServiceResource

    public void removeCIBServiceResource(java.lang.String resourceName,
                                         java.lang.String serviceName,
                                         java.lang.String appliName)
                                  throws javax.management.MBeanRegistrationException

  Removes a CIB resource related to a CIB service

  Parameters:
    `resourceName` - : the CIB resource name String
    `serviceName` - : the CIB service name String
  Throws:
    `javax.management.MBeanRegistrationException`

### removeCIBServiceExternalResource

    public void removeCIBServiceExternalResource(java.lang.String extResourceName,
                                                 java.lang.String serviceName,
                                                 java.lang.String appliName)
                                          throws javax.management.MBeanRegistrationException

  Removes a CIB external resource related to a CIB service

  Parameters:
    `extResourceName` - : the CIB resource name String
    `serviceName` - : the CIB service name String
  Throws:
    `javax.management.MBeanRegistrationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD